#pragma once
#include "Entity.h"
#include "EntityState.h"
#include "EntityStateGravity.h"
#define CS_PROFESSORBOOSTER_CREATENAME L"CS_professor_booster_animate"
//布斯特教授
class CS_ProfessorBoosterAni :
    public Entity
{
public:
    CS_ProfessorBoosterAni();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    //动画
    int stateID = 0;
    float animation_moveSpeed = 0x200 / ts;
    bool animation_delay = false;//走路动画延迟一帧（对齐到整格）
    int wink_counter = 0;
    int flashcounter = 0;
    bool bSetTarget = false;
    //状态模块
    EntityStateGravity stateGravity;
};

std::shared_ptr<Entity> CreateCS_ProfessorBoosterAni();